For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • GETGet all Shipments for Order
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • GETGet one Shipment by Order Id and Shipment Id
      • GETGet Order
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • POSTCancel single Order by Order ID
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet shipping methods
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Update Tracking Uploaded Status for Multiple Shipments by Shipment Id

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2025-07/shipment:batchUpdateTrackingUpload
POST
/2025-07/shipment:batchUpdateTrackingUpload
$curl -X POST https://sandbox-api.shipbob.com/2025-07/shipment:batchUpdateTrackingUpload \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "is_tracking_uploaded": true,
> "shipment_ids": [
> 100810005
> ]
>}'
1{
2 "results": [
3 {
4 "error": {
5 "code": "string",
6 "message": "string"
7 },
8 "isSuccess": true,
9 "shipmentId": 100810005
10 }
11 ],
12 "summary": {
13 "failed": 0,
14 "successful": 1,
15 "total": 1
16 }
17}
Was this page helpful?
Previous

Save the Store Order Json

Next

Cancel multiple Shipments by Shipment Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

is_tracking_uploadedbooleanOptional

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated. Applies to all shipments in shipment_ids

shipment_idslist of integersOptional
Shipment IDs to apply the tracking upload status to

Response

Success
resultslist of objects
summaryobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error